Agendease is designed to work with all popular browsers.  You may use Chrome, Firefox, Safari and Internet Explorer to access the Agendease control panel.


All versions of Chrome, Firefox, and Safari may be used for Agendease.


Release 11.0 or higher of Internet Explorer is required.  Several Agendease features will not work correctly in Internet Explorer releases earlier than 11.0.